ch.qos.logback.core.spi

## Interface PreSerializationTransformer<E>

Type Parameters:
  `E` -

All Known Implementing Classes:
  AccessEventPreSerializationTransformer, LoggingEventPreSerializationTransformer

    public interface PreSerializationTransformer<E>

PreSerializationTransformer instances have the responsibility to transform object into a presumably equivalent serializable representation.

Author:
  Ceki Gülcü

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializable` `transform(E event)`

### Method Detail

#### transform

    Serializable transform(E event)